Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.persistence.dataobject
Class ActionDO

    java.lang.Object
      org.wso2.solutions.identity.persistence.dataobject.AbstractDataObject
          org.wso2.solutions.identity.persistence.dataobject.ActionDO

    public class ActionDO

extends AbstractDataObject

Field Summary
`static java.lang.String` | `ACTION_DOWNLAOD_CARD`
`static java.lang.String` | `ACTION_LOG_IN`
`static java.lang.String` | `ACTION_LOG_OUT`
`static java.lang.String[][]` | `INITIAL_ACTIONS`

Constructor Summary
`ActionDO()`

Method Summary
`java.lang.String` | `getActionDescription()`
`java.lang.String` | `getActionId()`
`java.util.Set` | `getUserActions()`
`void` | `setActionDescription(java.lang.String actionDescription)`
`void` | `setActionId(java.lang.String actionId)`
`void` | `setUserActions(java.util.Set userActions)`

Methods inherited from class org.wso2.solutions.identity.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, setId, setLastUpdatedTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_LOG_IN

    public static final java.lang.String ACTION_LOG_IN

See Also:
  Constant Field Values

### ACTION_LOG_OUT

    public static final java.lang.String ACTION_LOG_OUT

See Also:
  Constant Field Values

### ACTION_DOWNLAOD_CARD

    public static final java.lang.String ACTION_DOWNLAOD_CARD

See Also:
  Constant Field Values

### INITIAL_ACTIONS

    public static final java.lang.String[][] INITIAL_ACTIONS

Constructor Detail

### ActionDO

    public ActionDO()

Method Detail

### getActionId

    public java.lang.String getActionId()

### setActionId

    public void setActionId(java.lang.String actionId)

### getActionDescription

    public java.lang.String getActionDescription()

### setActionDescription

    public void setActionDescription(java.lang.String actionDescription)

### getUserActions

    public java.util.Set getUserActions()

### setUserActions

    public void setUserActions(java.util.Set userActions)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD